Files
Knight of the Living Dead
version 2.0

Please click the link and follow the setup instructions.
Knight of the Living Dead (XNA Game Studio 3.1 Binary Package)
version 2.0

Unzip and enjoy! Will require .NET Framework 3.5 and XNA Framework 3.1.